Data Fields

# DrawIndustryAnimationStruct Struct Reference

This is used to gather some data about animation drawing in the industry code Image_1-2-3 are in fact only offset in the sprites used by the industry. More...

`#include <industry_land.h>`

## Data Fields
int | x
| coordinate x of the first image offset
byte | image_1
| image offset 1
byte | image_2
| image offset 2
byte | image_3
| image offset 3

## Detailed Description

This is used to gather some data about animation drawing in the industry code Image_1-2-3 are in fact only offset in the sprites used by the industry.

To specify an invalid one, either 255 or 0 is used, depending of the industry.

Definition at line 20 of file industry_land.h.

The documentation for this struct was generated from the following file:

- src/table/industry_land.h